Remove gnome-pilot from the default ubuntu install

Bug #334446 reported by Åskar on 2009-02-25
46
This bug affects 8 people
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
Undecided
Martin Pitt
Declined for Jaunty by Steve Langasek
Karmic
Undecided
Martin Pitt

Bug Description

Binary package hint: gnome-pilot

Gnome-pilot should be removed from Ubuntu.

PalmOS is no longer even supported by Palm, and there can't be many people using these devices nowadays. If there are people using one, the chance that they use it with Ubuntu is very small.

Forumthread:
http://ubuntuforums.org/showthread.php?t=1080350

shockawe5 (shockawe5) wrote :

I disagree. Palm only recently announced that it would be dropping support for the PalmOS. There are a number of people what have PalmOS devices, such as anyone who owns a Palm Trio cell phone or a Palm TX handheld. I know of at least 200 (the nursing department at my University), a few friends with Palm cell phones, and my Dad.

Åskar (olskar) wrote :

Comment from jmmL:

From the launchpad page, it appears development upstream has stopped. The last major version released was 2.0.15 on 2006-12-19.

I use a Sprint Centro--that is, a Palm based smart phone. I very much want to be able to hotsync it in Ubuntu. I still have to hang onto Windows for that purpose. What a drag!

 Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Alex <email address hidden>
To: <email address hidden>
Sent: Wednesday, February 25, 2009 12:22:22 PM
Subject: [Bug 334446] Re: Remove gnome-pilot from Ubuntu

I disagree. Palm only recently announced that it would be dropping
support for the PalmOS. There are a number of people what have PalmOS
devices, such as anyone who owns a Palm Trio cell phone or a Palm TX
handheld. I know of at least 200 (the nursing department at my
University), a few friends with Palm cell phones, and my Dad.

--
Remove gnome-pilot from Ubuntu
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

nullack (nullack) on 2009-02-25
Changed in gnome-pilot:
status: New → Confirmed

I second this motion, remove it from default installation. (try to squeeze VLC in or something instead)

Kevin Lange (kevinlange) wrote :

No one really cares if you /do/ own one. The majority of users don't, and gnome-pilot should not be part of a default installation.

If you do have one, good for you, if this goes through, you can reinstall it.

This is a matter of "very few people use this, it's not part of the standard release of Gnome, and the device it targets isn't even supported anymore: it shouldn't come by default."

I'll go further and say it never should have.

Dingar (cndingar) wrote :

I have one, but I agree to remove it from default installation.

SGosnell (spamtrap47) wrote :

There is still a huge installed base of Palm users, and Palm continues to produce smartphones with PalmOS installed. Palm isn't going out of business. I don't see how it hurts anyone to have a feature essential for lots of people in the default distro. Just because some don't use it, that doesn't mean nobody else should.

Mackenzie Morgan (maco.m) wrote :

It takes up space on the install cd that could be used for other purposes. A Palm Pilot is not an essential piece of your computer's hardware. It's not even part off the computer. This really doesn't need to be in the default install, just available. The example I gave in Ubuntu Forums is that currently if you need a VPN client to get online, you're out of luck because you'd need to get online to get the VPN client. Not having a VPN client in those situations is the same as not having a driver for your NIC.

This tool should be either removed from the default installation or replaced with a generic synchronization utility, not only for PalmOS devices, but also for Windows Mobile and Symbian OS devices. We don't have such an utility, so the obvious thing to do is to remove it. PalmOS is a meaningless feature over here in Poland. Use the space left on the CD on something that is more useful for more people.

Matt Davey (mcdavey) wrote :

Some of the arguments for removal of gnome-pilot from the default distribution are a bit odd:

"PalmOS is no longer even supported by Palm"
  -- Take a look at: http://www.palm.com/us/products/phones/
      Palm are still selling palmOS based devices. They will be supported for quite a while yet,
      and used for many more after that.

"PalmOS is a meaningless feature over here in Poland"
  -- I guess you left out "for me" from that sentence.

"From the launchpad page, it appears development upstream has stopped. The last major version released was 2.0.15 on 2006-12-19."
  -- gnome-pilot 2.0.16 was released in February 2008, gnome-pilot 2.0.17 was released in January 2009.
      I've mailed the Ubuntu <email address hidden> as I guess the maintainer
      didn't pick up on the new release.

"A Palm Pilot is not an essential piece of your computer's hardware."
  -- To many people, being able to sync calendar and contacts with your phone IS absolutely
      an essential feature of a desktop.

The package is useful for a bunch of people, including users new to Ubuntu who are delighted to find they can sync their phone with their desktop out-of-the-box. Compared to getting my Nokia to sync, where the Ubuntu forum page currently runs to 28 pages, PalmOS was a total breeze.

The dpkg is 200k.

A phone is not a part of the computer's hardware. Period. A network interface
is. Network interfaces are currently unusable in situations where VPNs are
required. VPN software by default has been requested before for this reason.
There were not many responses, but space requirements on the CD were cited.

Yes, being able to sync a PDA is essential for some business people. Choosing
to install it from Add/Remove is certainly not comparable to a 28-page ordeal.

Let's not get distracted by VPN software. This bug started off claiming PalmOS is no longer supported and no one uses gnome-pilot. I was just pointing out that this is simply untrue.

I haven't trawled the list of packages on the install CD, but it seems to include sudoku, for example, so I don't buy the argument that gnome-pilot is blocking shipping VPN software on the install CD.

I'm just saying that it's not necessary software for normal desktop use. For
business use by high-level executives? Yes. Other than that...?

It's not like we're talking about taking it out of the repos. Just there's no
point to it being in the default install when PDAs aren't something the
average person needs & uses.

VPN software was just an example of something that *is* necessary (for anyone
that telecommutes, for many university students...) and cannot be acquired
from the repositories without a second already-set-up computer. If we prune
the unnecessary junk like this, the things that unblock repository access can
be included.

Oh, and I'm guessing sudoku is part of the gnome-games thing. Would be nice
if that package was split up. Some of those games, I wonder if anyone ever
plays.

Warner White (warnercwhite) wrote :

I'm not a high level exec and I have been using a PDA for years. Anybody who does volunteer work, or sings in a chorus, or has family events can find it handy. My shift from Windows to Ubuntu has been greatly hampered by not finding a sync program that works. I use the Centro, which is equivalent to the Z22. I am waiting impatiently for someone to figure out how we can actually sync. In the meantime I have to keep using Outlook and Chapura on a Vista laptop. I've seen lots of claims for doing a sync, but not one of them has worked for me. So I'd like the bug work to continue, and I suspect there are a lot of people out there who would be disappointed in linux if no attempt is made to solve this problem.

 Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Mackenzie Morgan <email address hidden>
To: <email address hidden>
Sent: Thursday, March 5, 2009 1:49:21 PM
Subject: Re: [Bug 334446] Re: Remove gnome-pilot from Ubuntu

I'm just saying that it's not necessary software for normal desktop use. For
business use by high-level executives? Yes. Other than that...?

It's not like we're talking about taking it out of the repos. Just there's no
point to it being in the default install when PDAs aren't something the
average person needs & uses.

VPN software was just an example of something that *is* necessary (for anyone
that telecommutes, for many university students...) and cannot be acquired
from the repositories without a second already-set-up computer. If we prune
the unnecessary junk like this, the things that unblock repository access can
be included.

Oh, and I'm guessing sudoku is part of the gnome-games thing. Would be nice
if that package was split up. Some of those games, I wonder if anyone ever
plays.

--
Remove gnome-pilot from Ubuntu
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

Mackenzie Morgan (maco.m) wrote :

Nobody here is saying that sync apps should not exist. We're just saying that
sync app for only one specific platform doesn't need to be part of the default
install. If there was an app that could sync a Palm Pilot, iPhone, G1,
Blackberry, etc all in just one application, that'd make sense to include.
But in this case, we've got a default app that only works for one kind of PDA.

I'd also be in favor of making the HP printer toolbox non-default, even though
I have one.

Mackenzie Morgan (maco.m) wrote :

By the way, this discussion should be taking place on ubuntu-devel-discuss
mailing list, not in a bug.

Another Palm user's (hence biased) reaction:

I too don't see any problem in removing Gnome-Pilot from the default install (as long as it remains in the repositories). Why has Gnome-Pilot been chosen by the Ubuntu team? Probably because it is best integrated with Evolution and Gnome. In a perfect world, it would sync with any device.

Yet I think that some comments have been a little hard towards the developers...

Why call this a "bug"? Ubuntu is a great distro which takes care of its users. The somewhat high number of default software is part of what makes its so user-friendly: it is immediately usable. I think it's better to have extra software to remove, than missing ones to add.

Is space on the Ubuntu live-CD such an issue? Then removing Gnome Pilot would'nt have been my first idea. Why not choose between f-spot (1,6 Mo) and eog (1.2 Mo), split gnome-games (+data) (~ 15 Mo total)...

Now, are there so few Palm users? I think instead that there is a good number of them, especially in the business area (e.g. Philips provide their engineers with Palm devices). isn't that a target for Ubuntu? Anyhow, I don't see their number drop that quicly. Why should so many users, who have come to Open Source software and Linux thanks to Ubuntu, be so eager to use a MS-labeled PDA or smartphone... I don't have the figures, but try googling for "sync Linux palm" / "sync Linux pocket pc".

Regards,

Daniel

Many users report such ideas as bugs, knowing no other way to reach
developers. The way to reach developers to discuss ideas is to join the
ubuntu-devel-discuss mailing list (see: lists.ubuntu.com for info on all the
mailinglists). I started a thread there already.

How can some users of Ubuntu here make such a gross generalization that they know how many users have Palm devices and are using them with Linux? And then make a decision based upon their guess work as to what hardware is supported and what is not? I use a Palm...and with Evolution and Gnome on Ubuntu. Palm devices are commonly found in hospital settings and in academia. Palm is about to release its new operating system...where is the voice that will call for supporting it? If there is buggy software on the live-CD disk, fix it--that's what user-supported computing is all about.
Bob Miller

Martin Pitt (pitti) wrote :

Any chance some of you who own a PalmOS compatible device could test the new 2.0.17 version in https://launchpad.net/~ubuntu-desktop/+archive/ppa ? It is proposed for jaunty and should fix a couple of issues. I can't test it myself, though, nobody in #ubuntu-desktop has a compatible device.

For the record, I advocate removing it from the default installation as well. It is essentially unmaintained in Ubuntu, because no developer has a device to test it. Either someone who has volunteers to maintain it, or we drop it to universe and from the default install in Karmic. They get less and less popular anyway.

Martin Pitt (pitti) wrote :

Oh, and if you test this, can you please give feedback (both positive and negative) in bug 348940, so that we can get som assurance with putting this into Jaunty?

Changed in gnome-pilot (Ubuntu):
assignee: nobody → pitti
milestone: none → later
status: Confirmed → Triaged

I would like to test the version, but I have not been able to download it.In Synaptic Package Manager I get this error message:

W: Failed to fetch http://ppa.launchpad.net/ubuntu-desktop/ppa/ubuntu/dists/jaunty/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)

 Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Martin Pitt <email address hidden>
To: <email address hidden>
Sent: Thursday, March 26, 2009 8:24:11 AM
Subject: [Bug 334446] Re: Remove gnome-pilot from the default ubuntu install

Any chance some of you who own a PalmOS compatible device could test the
new 2.0.17 version in https://launchpad.net/~ubuntu-desktop/+archive/ppa
? It is proposed for jaunty and should fix a couple of issues. I can't
test it myself, though, nobody in #ubuntu-desktop has a compatible
device.

For the record, I advocate removing it from the default installation as
well. It is essentially unmaintained in Ubuntu, because no developer has
a device to test it. Either someone who has volunteers to maintain it,
or we drop it to universe and from the default install in Karmic. They
get less and less popular anyway.

--
Remove gnome-pilot from the default ubuntu install
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

Hello Warner,

Warner White [2009-03-29 16:49 -0000]:
> W: Failed to fetch http://ppa.launchpad.net/ubuntu-
> desktop/ppa/ubuntu/dists/jaunty/Release Unable to find expected entry
> deb/binary-i386/Packages in Meta-index file (malformed Release file?)

Looks like you caught a very bad moment; just try again?

Martin--

I keep getting errors such as the following--

Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ubuntu/dists/intrepid/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://ppa.launchpad.net/ubuntu-desktop/ppa/ubuntu/dists/intrepid/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.

 Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Martin Pitt <email address hidden>
To: <email address hidden>
Sent: Monday, March 30, 2009 3:13:59 AM
Subject: Re: [Bug 334446] Re: Remove gnome-pilot from the default ubuntu install

Hello Warner,

Warner White [2009-03-29 16:49 -0000]:
> W: Failed to fetch http://ppa.launchpad.net/ubuntu-
> desktop/ppa/ubuntu/dists/jaunty/Release Unable to find expected entry
> deb/binary-i386/Packages in Meta-index file (malformed Release file?)

Looks like you caught a very bad moment; just try again?

--
Remove gnome-pilot from the default ubuntu install
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

Mackenzie Morgan (maco.m) wrote :

That says Intrepid. Aren't we talking about a Jaunty package?

Mackenzie Morgan [2009-03-30 14:50 -0000]:
> That says Intrepid. Aren't we talking about a Jaunty package?

Ah, of course! Thanks for spotting.

I also second the request.

josh04 (josh04) wrote :

I own a Palm device, and I've always been baffled as to why it was included in the standard install.

Åskar (olskar) wrote :

Attaching debdiff to fix this bug :)

Martin--

And if I go for jaunty rather than intrepid, same result for gpilot--

Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ubuntu/dists/intrepid/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://ppa.launchpad.net/ubuntu-desktop/ppa/ubuntu/dists/jaunty/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.

 Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Warner White <email address hidden>
To: <email address hidden>
Sent: Monday, March 30, 2009 6:42:39 AM
Subject: Re: [Bug 334446] Re: Remove gnome-pilot from the default ubuntu install

Martin--

I keep getting errors such as the following--

Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ubuntu/dists/intrepid/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)
Failed to fetch http://ppa.launchpad.net/ubuntu-desktop/ppa/ubuntu/dists/intrepid/Release Unable to find expected entry deb/binary-i386/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.

Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Martin Pitt <email address hidden>
To: <email address hidden>
Sent: Monday, March 30, 2009 3:13:59 AM
Subject: Re: [Bug 334446] Re: Remove gnome-pilot from the default ubuntu install

Hello Warner,

Warner White [2009-03-29 16:49 -0000]:
> W: Failed to fetch http://ppa.launchpad.net/ubuntu-
> desktop/ppa/ubuntu/dists/jaunty/Release Unable to find expected entry
> deb/binary-i386/Packages in Meta-index file (malformed Release file?)

Looks like you caught a very bad moment; just try again?

--
Remove gnome-pilot from the default ubuntu install
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

--
Remove gnome-pilot from the default ubuntu install
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

Mackenzie Morgan (maco.m) wrote :

Wait those are for claydoh and ubuntu-desktop's PPAs. Did you not update your
/etc/apt/sources.list for the new PPA line formats? Just comment those two
out for now, then go update them later.

Warner White (warnercwhite) wrote :

Mackenzie--

"the new PPA line formats?"--What are these?--"line formats"

I don't understand. As far as I know I just did what the site told me to do.

Warner

 Warner White
12 Harbor Watch Road
Burlington VT 05401
H: 802-863-0182
C: 802-318-0956
www.warnerwhite.org

________________________________
From: Mackenzie Morgan <email address hidden>
To: <email address hidden>
Sent: Friday, April 3, 2009 1:15:34 AM
Subject: Re: [Bug 334446] Re: Remove gnome-pilot from the default ubuntu install

Wait those are for claydoh and ubuntu-desktop's PPAs. Did you not update your
/etc/apt/sources.list for the new PPA line formats? Just comment those two
out for now, then go update them later.

--
Remove gnome-pilot from the default ubuntu install
https://bugs.launchpad.net/bugs/334446
You received this bug notification because you are a member of Ubuntu
PDA team, which is subscribed to gnome-pilot in ubuntu.

Mackenzie Morgan (maco.m) wrote :

The format of the lines in /etc/apt/sources.list for PPAs has changed. They
used to look like:
deb http://ppa.launchpad.net/5-a-day/ubuntu jaunty main
but now look like:
deb http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu jaunty main

See how it now says "/ppa/ubuntu" not just "/ubuntu"? I think that's your
problem.

Adam Petaccia (mighmos) wrote :

Jumping into the discussion, why not just install it on first sync?

Step one: plug in Palm.
Step two: device-kit or jockey (I'm not sure, but whatever software - similar to codec-install) says "Hey! I can use this but you have to click "Ok" to install some software first!"
Step three: user clicks okay.
Step four: Profit! (and the user can now do everything they could before)

Also, when phone-sync-ng or what its called is actually written, it can plug into the same base.

Åskar (olskar) wrote :

Jaunty is out, we are eagerly waiting for Karmic and this bug should be looked upon again :)

The fix to this bug is as easy as it always been, don't make the desktop package recommend gnome-pilot-conduits.

In the brainstormidea for this, there is an overwhelming majority that want this bug fixed and gnome-pilot removed (currently 1061 for, 134 against).

http://brainstorm.ubuntu.com/idea/3844/

It seems to be the common opinion also in the recently created forumthread;
http://ubuntuforums.org/showthread.php?t=1187327

Martin Pitt (pitti) wrote :

ubuntu.karmic r1489

affects: gnome-pilot (Ubuntu) → ubuntu-meta (Ubuntu)
Changed in ubuntu-meta (Ubuntu Karmic):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.145

---------------
ubuntu-meta (1.145) karmic; urgency=low

  * Refreshed dependencies
  * Added pulseaudio-module-bluetooth to desktop-recommends [amd64 armel
    i386 ia64 powerpc sparc]
  * Removed gnome-pilot-conduits from desktop-recommends (LP: #334446)
  * Removed mktemp from minimal

 -- Martin Pitt <email address hidden> Mon, 15 Jun 2009 12:25:56 +0200

Changed in ubuntu-meta (Ubuntu Karmic):
status: Fix Committed → Fix Released
Matt Davey (mcdavey) wrote :

Has anyone actually tested this "fix"? I'm not sure this "fix" is going to do what you expect, because:
1. If you want to be allow users to install gnome-pilot and sync with evolution, then
     Evolution needs to be linked against gnome-pilot. That's why the Evolution package
     depends on the libgnome-pilot2 package. So you can't just remove gnome-pilot.
2. The Evolution conduits are not part of the gnome-pilot-conduits package, they're part of the
     Evolution distribution.

Evolution depends on gnome-pilot, unless you compile it out.

I could be wrong, but I suspect that this "fix" will simply result in removing certain non-Evolution conduits
that do things like syncing time to the desktop time, providing non-Evolution syncing of memos,
and syncing of Avantgo.

To be honest, I didn't follow the arguments for removal. They seemed to come down to:
  * "Palm is obsolete, let's get rid of this cruft from Ubuntu". This is not a great way to endear
      yourself to users.
  * "gnome-pilot only supports PalmOS. Why support just one PDA platform?". Well, great, let's
      support all platforms with a single unified package. The only problem is that package doesn't
      exist, so why remove support for PalmOS?
  * "You can just install gnome-pilot if you need it. Even better, why not prompt the user to install
      gnome-pilot when a palm is detected?". Good idea, and I'd be totally in favour. However, no
      one has stepped up to write this component and, as mentioned above, there are problems
      with Evolution for actually accomplishing this.

Aren't there more productive things to be doing than removing working useful software?

Thenb let's remove Evolution too and replace it with Thunderbird. Seems to be the first thing people do after chaning the theme.

Thenb let's remove Evolution too and replace it with Thunderbird. Seems to be the first thing people do after changing the theme.

Matt Davey (mcdavey) wrote :

Slow down there! :)
Evolution is a PIM suite, not just an email client and it synchronizes with Outlook. That pretty much a killer app if you're trying to convince your company to adopt linux. I don't think you'd get many takers for removing Evolution.

Matt Davey [2009-06-15 14:48 -0000]:
> If you want to be allow users to install gnome-pilot and sync with
> evolution, then Evolution needs to be linked against gnome-pilot.

This will stay. If someone installs gnome-pilot, this should continue
to work.

> To be honest, I didn't follow the arguments for removal. They
> seemed to come down to:
> [...]

One major problem also is that there doesn't seem to be any Ubuntu
developer with the hardware and willingness to maintain the package,
thus it was effectively unmaintained and has been broken for quite a
while.

Although not a developer, I own a palm device and would happily volunteer to assist with testing gnome-pilot in Ubuntu development releases.

Rudolf Reuter (reuterr) wrote :

Hello,
I am very happy with gnome-pilot 2.0.17 in Ubuntu 0904 which allows now a Palm (Tungsten E2 & Zire 72) hotsync (Evolution) with Bluetooth, with minimum setup.
Matt Davey has done a very good job!
Even my wife (just house wife, no business, age > 50 years)) is using very much her Palm Tungsten E" and likes it!
Hence, I am very much interested to use gnome-pilot also in the future.
Maybe younger people do not know a Palm (I am 61 years old) but I have successful used a Palm for over 10 years and like to use it also in the future (Palm Pre is showing up).
Greetings, Rudolf

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers